<?php
if ( function_exists('register_sidebar') )
register_sidebar(array(
	'before_widget' => '',
	'before_title' => '<div class="sidebar-head"><div class="sidebar-header"><div class="border-head">',
	'after_title' => '</div></div></div><div class="sidebar-module">',
	'after_widget' => '</div><div class="sidebar-footer"></div>',
));
		
		register_nav_menus( array(
			'primary' => __( 'Primary Menu' ),
		) );	
		
add_theme_support( 'post-thumbnails' ); 

add_theme_support( 'automatic-feed-links' );

add_theme_support(
			'custom-header',
			array(
				'default-image'          => '%s/images/header.png',
				'random-default'         => false,
				'width'                  => 1550,
				'height'                 => 250,
				'flex-width'             => true,
				'flex-height'            => true,
				'default-text-color'     => '252525',
				'header-text'            => true,
				'uploads'                => true,
				'wp-head-callback'       => 'custom_header_wp_head'
			)
		);
		

function arphabet_widgets_init() {

		  register_sidebar( array(
        'name'          => 'footer-widget',
        'id'            => 'footer-widget',
		 'before_widget' => '<div>',
        'after_widget'  => '</div>',
        'before_title'  => '<h2>',
        'after_title'   => '</h2>',
    ) );
	}

add_action( 'widgets_init', 'arphabet_widgets_init' );


function wp_pagination() {
global $wp_query;
$big = 999999999;
$page_format = paginate_links( array(
    'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
    'format' => '?paged=%#%',
    'current' => max( 1, get_query_var('paged') ),
    'total' => $wp_query->max_num_pages,
    'type'  => 'array'
) );
if( is_array($page_format) ) {
            $paged = ( get_query_var('paged') == 0 ) ? 1 : get_query_var('paged');
            echo "<div class='pagination'>";
            foreach ( $page_format as $page ) {
                    echo "$page";
            }
           echo "</div>\n";
}
}

?>